View Issue Details

IDProjectCategoryLast Update
0021500AI War 2[All Projects] GUISep 30, 2019 11:31 am
ReporterzharmadAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.880 Belatedly Finding Friends... And Enemies 
Fixed in Version0.893 Usability and Tutorial Prep 
Summary0021500: Make alert notification windows transparent, or move them when they hide the target planet
DescriptionIn the save of https://bugtracker.arcengames.com/view.php?id=21499 , AI ships have intruded on planets near the top of the galactic map. The under attack detailed notification hides these planets, so that players can't see where it's meant to be unless they pan. These notification windows can be quite large in some cases.

It would be desirable to make them have 30~40% transparency so that the map can still be seen dimly behind it. Alternatively, the notification can be moved to the bottom half of the screen when the planet is in the top half of the viewscreen.
TagsNo tags attached.

Relationships

related to 0021701 resolvedx4000Bughunter 'Hold SHIFT to hide all tooltips' inconsistencies. 

Activities

BadgerBadger

Aug 11, 2019 12:48 pm

manager   ~0052532

I don't understand why you don't just pan the galaxy map? I pan it all the time since I usually stay zoomed in enough to see all the icons.

zharmad

Aug 12, 2019 8:08 am

reporter   ~0052539

The panning limits doesn't permit you to simply move off the side of the galaxy. The two screen shots here shows a small galaxy at maximum zoom, scrolled to the top left and top right. Some planets at the top of the galactic map is going to be partially obscured at all zoom levels by the notifications.

Since you mention it, the issue can also be fixed by relaxing the panning limits?

zharmad

Aug 12, 2019 8:09 am

reporter  

20190812220336_1.jpg (830,981 bytes)
B.save (833,477 bytes)
20190812220327_1.jpg (830,905 bytes)

x4000Bughunter

Sep 30, 2019 11:30 am

administrator   ~0053323

Thanks!

* Holding down the shift key now hides the planet tooltip, the "ongoing text display" that could be in the upper corner telling you about lengthy warnings, the notifications list at the top of the screen, and the selected ships window in the bottom right corner.
** Essentially all of those things are quasi-useless without tooltips, and are things that might be obscuring your view, so the neighborly thing is to get them out of the way.
** This should solve a couple of complaints about the "ongoing text display" being in the way on the galaxy map in particular, but hopefully it doesn't become irritating on any other aspects of it.

Issue History

Date Modified Username Field Change
Aug 10, 2019 9:51 pm zharmad New Issue
Aug 11, 2019 12:48 pm BadgerBadger Note Added: 0052532
Aug 12, 2019 8:08 am zharmad Note Added: 0052539
Aug 12, 2019 8:09 am zharmad File Added: B.save
Aug 12, 2019 8:09 am zharmad File Added: 20190812220327_1.jpg
Aug 12, 2019 8:09 am zharmad File Added: 20190812220336_1.jpg
Sep 30, 2019 11:30 am x4000Bughunter Assigned To => x4000Bughunter
Sep 30, 2019 11:30 am x4000Bughunter Status new => resolved
Sep 30, 2019 11:30 am x4000Bughunter Resolution open => fixed
Sep 30, 2019 11:30 am x4000Bughunter Fixed in Version => 0.893 Usability and Tutorial Prep
Sep 30, 2019 11:30 am x4000Bughunter Note Added: 0053323
Sep 30, 2019 11:31 am x4000Bughunter Relationship added related to 0021701